2020-12-03 04:57 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001801FSSCPmultiplayerpublic2020-11-01 10:34
ReporterFUBAR-BDHR 
Assigned ToFSCyborg 
PrioritynormalSeveritytrivialReproducibilitysometimes
StatusclosedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001801: Wrong missile bank indicated/fired when near depletion.
DescriptionCould have sworn I reported this ages ago but I can't find it anywhere. Basically on the client side or in this case hosting on a standalone a ship with multiple missile banks will show the wrong bank as active when it's about to run out.

Example 13 Trebs in bank 1 and 40 Harps in bank 2. Sometimes when you get down to 1 Treb left it will show that you have switched to bank 2 but still fire bank 1.

In retail there was a second part to this bug that I haven't confirmed yet. The lock time would be the time for the selected bank. So if say bank 1 was Helios and bank 2 was Harps then when this happened you would be able to lock and fire a Helios in the time it would normally take to lock a Harp.
Additional InformationHappened today in Taylor's most recent 3.6.10 multi_test build but has existed since retail. Logs don't show anything. I'll try to get some screenshots the next time I see it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010088

taylor (administrator)

I can't seem to reproduce this one. Give me some more specifics on this so that I can better try to replicate it:

mission?
ship type?
full loadout?
linked secondaries?

~0010090

FUBAR-BDHR (developer)

Well I was hosting on the standalone playing m-02b by myself. Loaded out a turtle (Tauret?) with bank 1 Trebs (13 count) and bank 2 harps (40 count?) Secondaries were set to dual fire. Primaries were dual Kaysers of course. Occurred when 1 Treb was left in bank 1. It's not something that will happen every time. Never seen it on the host side except hosting on a standalone.

Retail it would happen with just about any weapon/ship. Even saw it happen with Tornadoes when weapons subsystem was damaged and a whole bank didn't fire leaving only a partial swarm for the next shot. Most usual time would be a loadout of Trebs and Helios where the ship would hold 3 Helios in one bank (Ursa, Sekhmet, etc). When you got down to 1 Helios left and the next bank was a Treb it would only take the lock time of the Treb but still fire that one Helios.

~0010091

FUBAR-BDHR (developer)

This might be something similar to Mantis 464. That's probably the one that was making me think this had already been fixed.

~0010143

FUBAR-BDHR (developer)

Had a couple more occurrences of this but this time the bank still had 2 missiles left in it. Uploading screenshot from the first time. I was firing Trebs and the indictor changed to bank 2 with 2 Trebs left. It locked in the normal Treb lock time and fired Trebs. I was hosting on a standalone when this one happened.

One time I tried firing the bombs and they fired instantly without locking. Apparently it assumed bank 2 was already locked. This was as a client.

~0012399

The_E (administrator)

Is this still an issue?

~0012407

FUBAR-BDHR (developer)

It still was last time I played multiplayer.

~0017016

FSCyborg (developer)

The latest multiplayer beta builds no longer *seem* to have this issue, but I will ask testers to keep an eye out for it.

~0017035

FSCyborg (developer)

I don't know what to say. Still not seeing this bug. Closing until it reappears.
+Notes

-Issue History
Date Modified Username Field Change
2008-10-20 02:31 FUBAR-BDHR New Issue
2008-10-21 18:24 taylor Note Added: 0010088
2008-10-21 18:39 FUBAR-BDHR Note Added: 0010090
2008-10-21 18:44 FUBAR-BDHR Note Added: 0010091
2008-11-01 22:38 FUBAR-BDHR Note Added: 0010143
2008-11-01 22:39 FUBAR-BDHR File Added: screen0020.jpg
2010-10-08 06:41 The_E Note Added: 0012399
2010-10-08 15:52 FUBAR-BDHR Note Added: 0012407
2020-09-04 13:55 FSCyborg Note Added: 0017016
2020-09-04 13:56 FSCyborg Assigned To => FSCyborg
2020-09-04 13:56 FSCyborg Status new => assigned
2020-11-01 10:34 FSCyborg Status assigned => closed
2020-11-01 10:34 FSCyborg Resolution open => fixed
2020-11-01 10:34 FSCyborg Note Added: 0017035
+Issue History